Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui
Class TocallToDescriptionMap.TocallDescription

    java.lang.Object
      org.ka2ddo.yaac.gui.TocallToDescriptionMap.TocallDescription

Enclosing class:
  TocallToDescriptionMap

    public static class TocallToDescriptionMap.TocallDescription

extends java.lang.Object

Data structure containing the description and capabilities of an APRS station with a specific tocall.

Method Summary
`java.lang.String` | `getClazz()` Get the class of station for this tocall (not associated with symbol categories).
`java.util.Map<java.lang.String,java.lang.String>` | `getFeatures()` Get the collection of feature strings and their associated values for this tocall.
`java.lang.String` | `getModel()` Get the model name of the software or hardware associated with this tocall.
`java.lang.String` | `getOs()` Get the computer operating system this software is restricted to.
`java.lang.String` | `getTocall()` Get the tocall described by this structure.
`java.lang.String` | `getVendor()` Get the name of the vendor who manufactured this APRS hardware or software.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getClazz

    public java.lang.String getClazz()

  Get the class of station for this tocall (not associated with symbol categories).

  Returns:
    station class String, or null if class is not known

### getFeatures

    public java.util.Map<java.lang.String,java.lang.String> getFeatures()

  Get the collection of feature strings and their associated values for this tocall.

  Returns:
    the feature Map

### getModel

    public java.lang.String getModel()

  Get the model name of the software or hardware associated with this tocall.

  Returns:
    model name

### getOs

    public java.lang.String getOs()

  Get the computer operating system this software is restricted to.

  Returns:
    operating system name String, or null if not known or not applicable

### getTocall

    public java.lang.String getTocall()

  Get the tocall described by this structure.

  Returns:
    tocall String

### getVendor

    public java.lang.String getVendor()

  Get the name of the vendor who manufactured this APRS hardware or software.

  Returns:
    vendor name, or null if not known

### toString

    public java.lang.String toString()

  Returns a string representation of the object. The representation is the vendor's name (in the possessive syntax) of the model string for the specified operating system (if relevant).

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD